ContinueResponseTiming (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.coyote, enum: ContinueResponseTiming

# Enum ContinueResponseTiming

java.lang.Object
java.lang.Enum<ContinueResponseTiming>
org.apache.coyote.ContinueResponseTiming

All Implemented Interfaces:
  `Serializable, Comparable<ContinueResponseTiming>, java.lang.constant.Constable`

public enum ContinueResponseTiming extends Enum<ContinueResponseTiming>
Defines timing options for responding to requests that contain a '100-continue' expectations.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  Internal use only.
  `IMMEDIATELY`
  Tomcat will automatically send the 100 intermediate response before sending the request to the servlet.
  `ON_REQUEST_BODY_READ`
  Send the 100 intermediate response only when the servlet attempts to read the request's body by either: calling read on the InputStream returned by HttpServletRequest.getInputStream calling read on the BufferedReader returned by HttpServletRequest.getReader This allows the servlet to process the request headers and possibly respond before reading the request body.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContinueResponseTiming`
  `fromString(String value)`
  Convert a configuration string to the corresponding `ContinueResponseTiming` value.
  `String`
  `toString()`
  `static ContinueResponseTiming`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ContinueResponseTiming[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IMMEDIATELY

    public static final ContinueResponseTiming IMMEDIATELY
    Tomcat will automatically send the 100 intermediate response before sending the request to the servlet.

  - ### ON_REQUEST_BODY_READ

    public static final ContinueResponseTiming ON_REQUEST_BODY_READ
    Send the 100 intermediate response only when the servlet attempts to read the request's body by either:
    - calling read on the InputStream returned by HttpServletRequest.getInputStream
    - calling read on the BufferedReader returned by HttpServletRequest.getReader
    This allows the servlet to process the request headers and possibly respond before reading the request body.

  - ### ALWAYS

    public static final ContinueResponseTiming ALWAYS
    Internal use only. Used to indicate that the 100 intermediate response should be sent if possible regardless of the current configuration.

- ## Method Details

  - ### values

    public static ContinueResponseTiming[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ContinueResponseTiming valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromString

    public static ContinueResponseTiming fromString(String value)
    Convert a configuration string to the corresponding `ContinueResponseTiming` value.
    Parameters:
      `value` - The configuration value
    Returns:
      The corresponding `ContinueResponseTiming`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ContinueResponseTiming>`